## javax.ws.rs.core
Interface StreamingOutput

    public interface StreamingOutput

A type that may be used as a resource method return value or as the entity in a `Response` when the application wishes to stream the output. This is a lightweight alternative to a `MessageBodyWriter`.

See Also:
  `MessageBodyWriter`, `Response`

Method Summary
`void` | `write(java.io.OutputStream output)` Called to write the message body.

Method Detail

### write

    void write(java.io.OutputStream output)
               throws java.io.IOException,
                      WebApplicationException

  Called to write the message body.

  Parameters:
    `output` - the OutputStream to write to.
  Throws:
    `java.io.IOException` - if an IO error is encountered
    `WebApplicationException` - if a specific HTTP error response needs to be produced. Only effective if thrown prior to any bytes being written to output.

Copyright © 2017 Oracle Corporation. All Rights Reserved.